%define anolis_release 4

Name:           libestr
Version:        0.1.11
Release:        %{anolis_release}%{?dist}
Summary:        String handling essentials library
License:        LGPLv2+
URL:            http://libestr.adiscon.com/
Source0:        http://libestr.adiscon.com/files/download/libestr-%{version}.tar.gz

BuildRequires:  gcc gcc-c++ automake autoconf
BuildRequires:  libtool


%description
libestr is a string handling essentials library. This package compiles the string handling 
essentials library used by the Rsyslog daemon.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The package contains libraries and header files for
developing applications that use libestr.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The libestr-doc package contains documentation files for libestr.


%prep
%autosetup -n %{name}-%{version} -p1


%build
%configure --disable-static --with-pic
%make_build


%install
make install INSTALL="install -p" DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.{a,la}
%generate_compatibility_deps


%files
%dir %{abidir}
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_libdir}/libestr.so.*
%{abidir}/libestr.dump

%files devel
%{_includedir}/libestr.h
%{_libdir}/libestr.so
%{_libdir}/pkgconfig/libestr.pc

%files doc
%doc AUTHORS ChangeLog README


%changelog
* Mon Apr 10 2023 chen_yu_ao <m15927509890@163.com> - 0.1.11-4
- change spec file format

* Tue Jan 31 2023 chen_yu_ao <m15927509890@163.com> - 0.1.11-3
- generate abi files and optimise spec format

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.11-2
- add doc package

* Tue Mar  8 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 0.1.11-1
- Init version from upstream v0.1.11
